//
//  PLSConnection2Controller.h
//  Pulse
//
//  Created by Matt Attaway on 3/3/14.
//  Copyright (c) 2014 Zen of the Monkey. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface PLSConnectionController : NSWindowController <NSTableViewDataSource,NSWindowDelegate, NSTableViewDelegate>

@property (strong,nonatomic) NSMutableArray* connections;
@property (strong,nonatomic) IBOutlet NSTableView* tableView;
@property (strong,nonatomic) IBOutlet NSTextField*  portField;
@property (strong,nonatomic) IBOutlet NSTextField*  userField;
@property (strong,nonatomic) IBOutlet NSTextField*  pathField;
@property (strong,nonatomic) IBOutlet NSTextField*  clientField;
@property (strong,nonatomic) IBOutlet NSButton*     enableAutoSubmitBox;
@property (strong,nonatomic) IBOutlet NSImageView*  statusIcon;
@property (strong,nonatomic) IBOutlet NSTextField*  statusField;
@property (strong,nonatomic) IBOutlet NSButton*     statusButton;

- (IBAction)add:(id)sender;
- (IBAction)remove:(id)sender;
- (IBAction)showWindow:(id)sender;

- (void)windowWillClose:(NSNotification *)notification;

@end
